
CoCoALib - Feature #303

Rows and Columns of a matrix

11 Feb 2013 15:30 - John Abbott

Status: Closed Start date: 11 Feb 2013

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 1.66 hour

Target version: CoCoALib-0.99700 Spent time: 1.65 hour

Description

Two new fns rows(M) and cols(M) -- or should its name be columns?

These take a matrix and return a list of lists.

JAA notes that MakeMatByRows and MakeMatByCols take a "flattened" list of entries, so they are not quite inverses to rows and

cols.

Related issues:

Related to CoCoALib - Feature #206: Matrix equation solving: LinKer In Progress 10 Jul 2012

History

#1 - 11 Feb 2013 15:53 - Anna Maria Bigatti

I prefer cols (always the same abbreviation).

Or should it be GetCols?

Which name represents better it is making a copy?

There are some functions in CoCoALibSupplement:

GetRow_long (indexed from 0)

GetRow

GetCol

GetRows.

Update also these when making the new functions in CoCoALib.

#2 - 01 Aug 2014 08:59 - Anna Maria Bigatti

- Target version set to CoCoALib-1.0

#3 - 03 May 2019 13:24 - John Abbott

- Category set to New Function

- Status changed from New to Resolved

- Assignee set to John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99700

- % Done changed from 0 to 70

I have just implemented GetRow, GetCol, GetRows and GetCols.

Perhaps the names are not ideal, but they are compatible with the names in CoCoA-5 (but indexes must be changed by 1).

I wonder whether a "flatten" function might be useful: read matrix elems row-by-row (or col-by-col) and put them into a std::vector<RingElem>. 
Anyway, I have not implemented this.

#4 - 03 May 2019 13:45 - John Abbott

- % Done changed from 70 to 80

I have now added GetRow, GetCol, GetRows and GetCols to MatrixOps.txt

Fixed a couple of minor bugs.  Is it really worth writing a test?

(GetCol is effectively tested in anna.cocoa5)

#5 - 09 Jan 2020 22:17 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

- Estimated time set to 1.66 h

Last comment was 8 months ago.  The code is there (presumably added then); it is documented.

A comment says there are no tests, but that is probably not so important.

Closing.
